##############################################################################
#
# BernArticle - yet another Plone article...
#
# Copyright (C) 2005 4teamwork Ltd., Bern, Switzerland and
#                    Informatikdienste of the city of Bern, Switzerland
#
# GNU General Public Licence (GPL)
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA  02111-1307 USA
#
############################################################################## 

try:
    from Products.LinguaPlone.public import *
except ImportError: 
    # No multilingual support
    from Products.Archetypes.public import *

try:
    from Products.ftwClassificationSystem.ftwClassificationSystemMixin import *
    from Products.ftwClassificationSystem.Widget import *
    ftwClassificationSystemMixinSchema = ftwClassificationSystemMixinSchema + Schema((

        ReferenceField('classification_restriction_ref',
                    relationship='restrictedClassificationTo',
                    required=0,
                    schemata="Restrictions",
                    multiValued = 1,
                    allowed_types = ('ftwClassificationItem',),
                    widget = ClassificationPopupReferenceWidget(description = "Select the Classification Items.",
                                             description_msgid = "help_classificationitem_restriction",
                                             label = "Classification items restrictions",
                                             label_msgid = "label_classificationitem_restriction",
                                             i18n_domain = "bernarticle",
                                             initial_location='classificationsystem',
                                             )),

        LinesField('classification_restriction',
                    schemata="Restrictions",
                    widget = LinesWidget( visible={'view' : 'invisible',
                                                    'edit' : 'hidden'}),),

                   ))

except:
    ftwClassificationSystemMixinSchema = Schema(())   
    
    


from ElementaryBernArticleEffectiveDateSchema import ElementaryBernArticleEffectiveDate_schema
from ElementaryBernArticleContentSchema import ElementaryBernArticleContent_schema
from ElementaryBernArticleCollectorTypesSchema import ElementaryBernArticleCollectorTypes_schema
from ElementaryBernArticleLayoutSchema import ElementaryBernArticleLayout_schema
from ElementaryBernArticleCollectorListingSchema import ElementaryBernArticleCollectorListing_schema
from ElementaryBernArticleImage1Schema import ElementaryBernArticleImage1_schema
from ElementaryBernArticleImage2Schema import ElementaryBernArticleImage2_schema
from ElementaryBernArticleImage3Schema import ElementaryBernArticleImage3_schema
from ElementaryBernArticleImage4Schema import ElementaryBernArticleImage4_schema
from ElementaryBernArticleBannerSchema import ElementaryBernArticleBanner_schema
from ElementaryBernArticleRelatedSchema import ElementaryBernArticleRelated_schema
from ElementaryBernArticleExcludeFromNavSchema import ElementaryBernArticleExcludeFromNav_schema


BernArticleCollector_schema =    ElementaryBernArticleContent_schema + \
                                 ElementaryBernArticleCollectorTypes_schema + \
                                 ElementaryBernArticleLayout_schema + \
                                 ElementaryBernArticleCollectorListing_schema + \
                                 ElementaryBernArticleImage1_schema + \
                                 ElementaryBernArticleImage2_schema + \
                                 ElementaryBernArticleImage3_schema + \
                                 ElementaryBernArticleImage4_schema + \
                                 ElementaryBernArticleBanner_schema + \
                                 ElementaryBernArticleRelated_schema + \
                                 ElementaryBernArticleExcludeFromNav_schema + \
                                 ftwClassificationSystemMixinSchema

